### Method

# Vte Terminal match_check

deprecated: 0.46

#### Declaration [src]

    char*
    vte_terminal_match_check (
      VteTerminal* terminal,
      glong column,
      glong row,
      int* tag
    )

#### Description [src]

Checks if the text in and around the specified position matches any of the regular expressions previously set using vte_terminal_match_add(). If a match exists, the text string is returned and if `tag` is not `NULL`, the number associated with the matched regular expression will be stored in `tag`.

If more than one regular expression has been set with vte_terminal_match_add(), then expressions are checked in the order in which they were added.

Deprecated since: 0.46

Use `vte_terminal_match_check_event()` instead.

#### Parameters

`column`

  Type: `glong`

  The text column.

`row`

  Type: `glong`

  The text row.

`tag`

  Type: `int*`

  A location to store the tag, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `char*`

A newly allocated string which matches one of the previously set regular expressions.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.